package com.rp.util.sort.compare;

public class IntegerComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Integer))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Integer))
		{
			throw new ClassCastException();
		}
		int d1 = ((Integer)o1).intValue();
		int d2 = ((Integer)o2).intValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
