package com.rp.util.sort.compare;

public class LongComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Long))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Long))
		{
			throw new ClassCastException();
		}
		long d1 = ((Long)o1).longValue();
		long d2 = ((Long)o2).longValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
